Subject: Re: bug#25680: maint: tweaks so syntax tests pass for previous commit

From: Pádraig Brady <[email-masked]>
Date: Wed, 15 Feb 2017 17:32:23 -0800

On 15/02/17 11:46, Paul Eggert wrote:
> I see some problems with this followup patch:
> 
> http://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=bd4bb42d65aac6591277066739ca42d1ddcc2d0e
> 
> in that it will make force-link.c and force-link.h harder to move to 
> gnulib. Is there some way that we can have the code pass syntax checks 
> without tying it so tightly to coreutils?

Generally we put stuff in gl/ that's intended for gnulib at some stage.

> Also, why do the syntax checks require those redundant 'extern's? 
> They're not that common in practice and I'd rather avoid them.

I guess to match up with the declaration in the header.
Existing modules in gl/ don't use the explicit extern
in either the header or the c file.

thanks,
Pádraig